org.apache.lucene.search.spell

## Class LevensteinDistance

- java.lang.Object
- - org.apache.lucene.search.spell.LevensteinDistance

All Implemented Interfaces:
  StringDistance

    public final class LevensteinDistance
    extends Object
    implements StringDistance

Levenstein edit distance class.

### Constructor Summary

Constructors
Constructor and Description
`LevensteinDistance()` Optimized to run a bit faster than the static getDistance().

### Method Summary

Methods
`boolean` `equals(Object obj)`
`float` `getDistance(String target, String other)` Returns a float between 0 and 1 based on how similar the specified strings are to one another.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LevensteinDistance

    public LevensteinDistance()

Optimized to run a bit faster than the static getDistance(). In one benchmark times were 5.3sec using ctr vs 8.5sec w/ static method, thus 37% faster.

### Method Detail

#### getDistance

    public float getDistance(String target,
                    String other)

Description copied from interface: `StringDistance`
Returns a float between 0 and 1 based on how similar the specified strings are to one another. Returning a value of 1 means the specified strings are identical and 0 means the string are maximally different.

Specified by:
  `getDistance` in interface `StringDistance`
Parameters:
  `target` - The first string.
  `other` - The second string.
Returns:
  a float between 0 and 1 based on how similar the specified strings are to one another.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`